       function [mu, prv, crw] = approxglmlevinfodir(u,sst,alpha,gamma,xi,prgamma);  
       
              
       m=size(alpha,1);n=size(u,1);nst=size(gamma,1);
       priorm=[zeros(m,1);prgamma(:,2)./(prgamma(:,1)+1);0];
       priorinf=[zeros(m,m+nst+1);zeros(nst+1,m) diag([(prgamma(:,1)+1).^3./prgamma(:,2).^2 ;0])];
       

       index=[];for i=1:m;index=[index;m-i+1:n-i];end;index=index';
       U=u(index).^2;
       
       states=1:nst;
       S=(sst(ones(1,nst),m+2:end)==states(ones(1,n-m),:)')';
       dt=(u(m:end-1)<=0.0).*u(m:end-1).^2;
       Z=[U S dt];
       
       w=1./(gamma(sst(m+2:end)')+U*alpha+xi*dt).^2;
       w=sqrt(0.5*w);
       u=u(m+1:end);
       u=w.*u.^2;
       for i=1:m+nst+1; Z(:,i)=w.*Z(:,i);end;
       %W=0.5*diag(w);
       %prv=Z'*W*Z;       
       %mu=inv(prv)*(Z'*W*u);          
       prv=Z'*Z+priorinf;       
       mu=inv(prv)*(Z'*u+priorinf*priorm);          
       
       crw=chol(inv(prv))';
