function [beta,accb,mu,prv,crw,ht]=simbetalevparinfo(y,Z,eta,sst,alpha,gamma,xi,beta,prbem,prbeinf);
   
thetaold=beta; 
lags=size(beta,1);

 falt=likswarchlev(y-Z*beta,sst,alpha,gamma,xi)+pmultnormlog(beta,prbem,prbeinf);

 % construct proposal and simulate
  
 [mu, prv, crw,htt] = approxglmbetalevinfo(y,Z,sst,alpha,gamma,xi,beta,prbem,prbeinf);  
  scale=1;
  crw=crw*scale;
  prv=prv/(scale^2);
  
  
  theta =  mu + crw*randn(lags,1);
  qneu = pmultnorm(theta,mu,prv);
  beta=theta;
    
  % checke  constraints; setze acceptance 0 und reject
      
 %irej =theta<=0;

 % if any(irej)
 %    acc = 0;
 % else
      [mu, prv, crw,ht] = approxglmbetalevinfo(y,Z,sst,alpha,gamma,xi,beta,prbem,prbeinf);  
      qalt=pmultnorm(thetaold,mu,prv);

      fneu=likswarchlev(y-Z*beta,sst,alpha,gamma,xi)+pmultnormlog(beta,prbem,prbeinf);

 
    al=exp(fneu-falt+qalt-qneu);
    accb = min(al,1);
 % end
  index = rand(1)<=accb;
  theta = index*theta+(1-index)*thetaold;
  
  beta=theta;
