function [alpha,gamma,irej,acc,mu, prv, crw]=simarchparinfo(u,alpha,gamma,pralm,pralinf,prgam,prgainf,qu);
   
thetaold=[gamma;alpha(1:qu)]; 
m=qu;

fpriorq = pmultnormlog(alpha(1:qu),pralm(1:qu),pralinf(1:qu,1:qu))+pmultnormlog(gamma,prgam,prgainf);
falt=likgarch(u,alpha,gamma,qu)+fpriorq;

 % construct proposal and simulate
  
[mu, prv, crw] = approxglmarchinfo(u,alpha,gamma,qu);  

  scale=1;
  crw=crw*scale;
  prv=prv/(scale^2);
  
  
  theta =  mu + crw*randn(m+1,1);
  qneu = pmultnormlog(theta,mu,prv);
  alpha(1:qu)=theta(2:end);
  gamma=theta(1);
  
  % checke  constraints; setze acceptance 0 und reject
      
 irej = or(any(theta<=0),sum(alpha)>=1);

  if irej
     acc = 0;
  else
      [mu, prv, crw] = approxglmarchinfo(u,alpha,gamma,qu);  
      qalt=pmultnormlog(thetaold,mu,prv);
      
      fpriorq=pmultnormlog(alpha(1:qu),pralm(1:qu),pralinf(1:qu,1:qu))+pmultnormlog(gamma,prgam,prgainf);
      fneu=likgarch(u,alpha,gamma,qu)+fpriorq;

 
    al=exp(fneu-falt+qalt-qneu);
    acc = min(al,1);
  end
  index = rand(1)<=acc;
  theta = index*theta+(1-index)*thetaold;
  
  alpha(1:qu)=theta(2:end);
  gamma=theta(1);
