function [lh, maxl] = likelil(y,Z,alpha,gamma,xi,beta);
% LIKELI likelihood (ohne kuerzen der normierungskonstnate)
% function call: lh = likeli(y,lmda)


nst=size(gamma,1);
lags=size(Z,2)-1;
ut=y-Z*beta;
ht=gamma+alpha(:,ones(nst,1))'*ut(2:end).^2+xi(ones(nst,1))*(ut(2)<=0.0)*ut(2)^2;
llh = pnormlog(ut(1),zeros(nst,1),ht);
maxl = max(llh);
lh = exp(llh - maxl(ones(nst,1),:));

