       function [mu, prv, crw] = approxglmarchinfo(u,alpha,gamma,qu);  
       
              
       m=qu;n=size(u,1);
       pe=size(alpha,1)-qu;
       priorm=[zeros(m+1,1)];
       priorinf=[zeros(m+1)];

       ht=genht(u,alpha,gamma,qu);

       Utild=filter1(u.^2,-alpha(qu+1:end));
       onetild=filter1(ones(size(u.^2,1),1),-alpha(qu+1:end));
       
       index=[];for i=1:pe;index=[index;pe-i+1:size(Utild,1)-i];end;index=index';
       Ubar=Utild(pe+1:end)-Utild(index)*alpha(qu+1:end);
       
       nu=size(Ubar,1)-m;
       Xqt=[onetild(end-nu+1:end) Utild(index(end-nu+1:end))];
      
       w=1./(ht(end-nu+1:end).^2);
       w=sqrt(0.5*w);
       
       Ubar=w.*Ubar(end-nu+1:end);
       Z=w(:,ones(size(Xqt,2),1)).*Xqt;
       prv=Z'*Z+priorinf;       
       mu=inv(prv)*(Z'*Ubar+priorinf*priorm);          
       
       crw=chol(inv(prv))';
