function [alplus,alpha,gamma,irej,acc,mu, prv, crw]=simgarchparinfo(u,alpha,gamma,pralm,pralinf,qu);
   
thetaold=[alpha(qu+1:end)]; 
m=qu;
pe=size(alpha,1)-qu;

fpriorq = pmultnormlog(alpha(qu+1:end),pralm(qu+1:end),pralinf(qu+1:end,qu+1:end));
falt=likgarch(u,alpha,gamma,qu)+fpriorq;

 % construct proposal and simulate
  
[alplus,mu, prv, crw] = approxglmgarchinfo(u,alpha,gamma,qu);  

  scale=1;
  crw=crw*scale;
  prv=prv/(scale^2);
  
  
  theta =  mu + crw*randn(pe,1);
  qneu = pmultnormlog(theta,mu,prv);
  alpha(qu+1:end)=theta;
    
  % checke  constraints; setze acceptance 0 und reject
      
 irej = or(any(theta<=0),sum(alpha)>=1);

  if irej
     acc = 0;
  else
      [ap,mu, prv, crw] = approxglmgarchinfo(u,alpha,gamma,qu);  
      qalt=pmultnormlog(thetaold,mu,prv);
      
      fpriorq=pmultnormlog(alpha(qu+1:end),pralm(qu+1:end),pralinf(qu+1:end,qu+1:end));
      fneu=likgarch(u,alpha,gamma,qu)+fpriorq;

 
    al=exp(fneu-falt+qalt-qneu);
    acc = min(al,1);
  end
  index = rand(1)<=acc;
  theta = index*theta+(1-index)*thetaold;
  
  alpha(qu+1:end)=theta;
  