%file=eingeben;
fid=fopen('desw331.out','w');
nst=size(etasim,1);
mc=size(etasim,3);
conm=ceil(mc/100*50.0);
conl=ceil(mc/100*2.5);
conu=floor(mc/100*97.5);
index=[1:1:mc];
t=['  mean    '  ' sd       '  'median   ' '95%% conf.int.\n'];
fprintf(fid,t);
t=['beta\n'];
fprintf(fid,t);
srt=sort(betasim,2);
stat=[ mean(betasim,2) , std(betasim,0,2) , srt(:,conm) , srt(:,conl) , srt(:,conu) ];
fprintf(fid,'%8.4f %8.4f %8.4f %8.4f %8.4f \n',stat');
t=['gamma\n'];
fprintf(fid,t);
srt=sort(gammasim,2);
stat=[ mean(gammasim,2) , std(gammasim,0,2) , srt(:,conm) , srt(:,conl) , srt(:,conu) ];
fprintf(fid,'%8.4f %8.4f %8.4f %8.4f %8.4f \n',stat');
t=['alpha\n'];
fprintf(fid,t);
srt=sort(alphasim,2);
stat=[ mean(alphasim,2) , std(alphasim,0,2) , srt(:,conm) , srt(:,conl) , srt(:,conu) ];
fprintf(fid,'%8.4f %8.4f %8.4f %8.4f %8.4f \n',stat');
t=['xi\n'];
fprintf(fid,t);
srt=sort(xisim);
stat=[ mean(xisim) , std(xisim) , srt(conm) , srt(conl) , srt(conu) ];
fprintf(fid,'%8.4f %8.4f %8.4f %8.4f %8.4f \n',stat');
srt=sort(etasim,3);
par=[betasim' gammasim' alphasim' xisim'];
for i=1:nst;
t=['eta' int2str(i) '\n'];
fprintf(fid,t);
stat=[ mean(etasim(i,:,:),3)' , std(etasim(i,:,:),0,3)' , srt(i,:,conm)' , srt(i,:,conl)' , srt(i,:,conu)' ];
fprintf(fid,'%8.4f %8.4f %8.4f %8.4f %8.4f \n',stat');
par=[par squeeze(etasim(i,:,:))'];
end;

% t=['margloglik\n'];
% fprintf(fid,t);
% fprintf(fid,'%8.4f \n',bayeslog);
% t=['loglik\n'];
% fprintf(fid,t);
% ll=max(loglik(it0+1:it));
% fprintf(fid,'%8.4f \n',ll);
% t=['schwarz\n'];
% fprintf(fid,t);
% sic=ll-size(par,2)/2*log(size(y,1));
% fprintf(fid,'%8.4f \n',sic);
% t=['persist\n'];
% fprintf(fid,t);
% amean=mean(alphasim(:,it0+1:it),2)';
% amean(1)=amean(1)+mean(xisim(it0+1:it))/2;
% mat=[amean;eye(size(amean,2)-1,size(amean,2))];
% pers=max(eig(mat));
% fprintf(fid,'%8.4f \n',pers);

fprintf(fid,' \n');
t=['  mean    '  ' sd       '  'median   ' '95%% conf.int.\n'];
fprintf(fid,t);
t=['beta\n'];
fprintf(fid,t);
[ac, hm, sd, med, ki, ineff] = autocovneu(betasim(:,index)',3);
stat=[ hm , sd , med , ki(:,1) , ki(:,2) ];
fprintf(fid,'%8.4f %8.4f %8.4f %8.4f %8.4f \n',stat');
t=['gamma\n'];
fprintf(fid,t);
[ac, hm, sd, med, ki, ineff] = autocovneu(gammasim(:,index)',3);
stat=[ hm , sd , med , ki(:,1) , ki(:,2) ];
fprintf(fid,'%8.4f %8.4f %8.4f %8.4f %8.4f \n',stat');
t=['alpha\n'];
fprintf(fid,t);
[ac, hm, sd, med, ki, ineff] = autocovneu(alphasim(:,index)',3);
stat=[ hm , sd , med , ki(:,1) , ki(:,2) ];
fprintf(fid,'%8.4f %8.4f %8.4f %8.4f %8.4f \n',stat');
t=['xi\n'];
fprintf(fid,t);
[ac, hm, sd, med, ki, ineff] = autocovneu(xisim(:,index)',3);
stat=[ hm , sd , med , ki(:,1) , ki(:,2)];
fprintf(fid,'%8.4f %8.4f %8.4f %8.4f %8.4f \n',stat');
etsim=reshape(permute(etasim(:,:,index),[3,2,1]),length(index),nst^2);
[ac, hm, sd, med, ki, ineff] = autocovneu(etsim,3);
for i=1:nst;
t=['eta' int2str(i) '\n'];
fprintf(fid,t);
stat=[ hm((i-1)*nst+1:nst*i) , sd((i-1)*nst+1:nst*i) , med((i-1)*nst+1:nst*i) , ki((i-1)*nst+1:nst*i,1) , ki((i-1)*nst+1:nst*i,2) ];
fprintf(fid,'%8.4f %8.4f %8.4f %8.4f %8.4f \n',stat');
end;




st=fclose(fid);
%[ac, hm, sd, ki, ineff] = autocovneu(par,1000);


